Bug 1170505 - freeradius-server: logratate config override global settings
freeradius-server: logratate config override global settings
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Adam Majer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-25 13:30 UTC by Adam Majer
Modified: 2020-09-27 10:14 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2020-04-25 13:30:51 UTC
logrotate config for radius contains a global section, which overrides the logrotate.conf defaults for all other logrotate configs sourced after radius (sssd, samba, ....). This should be avoided. Especially the "su radiusd radiusd" in this global section is the cause of failing logrotate with "permission denied", because radiusd may not read the sssd logfiles ;-)
Comment 1 Michael Ströder 2020-04-25 13:59:43 UTC
FWIW: I've already fixed this is my private package:

https://build.opensuse.org/package/view_file/home:stroeder:iam/freeradius-server/freeradius-server-radiusd-logrotate.patch?expand=1
Comment 2 OBSbugzilla Bot 2020-08-26 12:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1170505) was mentioned in
https://build.opensuse.org/request/show/829736 Factory / freeradius-server
Comment 3 Adam Majer 2020-08-28 10:03:21 UTC
submitted to all affected codestreams
Comment 5 Swamp Workflow Management 2020-09-23 10:15:58 UTC
SUSE-RU-2020:2716-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170505,1174905
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    freeradius-server-3.0.21-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-09-27 10:14:49 UTC
openSUSE-RU-2020:1547-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170505,1174905
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    freeradius-server-3.0.21-lp152.2.3.1